//The sensor TSL235R-LF converts light into frecuency, so it will we needed a interruption manager in order to measure the frecuecy

//---------------------------------------------------------------------------------------------------------------------------------------
volatile unsigned long cnt = 0;
unsigned long oldcnt = 0;
unsigned long t = 0;
unsigned long last;
int laserPin = 17;
//----------------------------Init---------------------------------------------------------------------------------

void initLightLecture () {
  pinMode(2, INPUT);
  digitalWrite(2, HIGH);
  pinMode(laserPin, OUTPUT);
  digitalWrite(laserPin, LOW);
}


//----------------------------Interruption manager------------------------------------------------------------------------------
void irq()
{
  cnt++;
}
//----------------------------Read luminosity---------------------------------------------------------------------------
unsigned long readSensor1() {
  cnt = 0;
  oldcnt = 0;
  t = 0;
  last = millis();
  digitalWrite(laserPin, HIGH);
  attachInterrupt(0, irq, RISING);

  while (1) {
    if (millis() - last >= 1000)
    {
      last = millis();
      t = cnt;
      unsigned long hz = t - oldcnt;
      oldcnt = t;
      detachInterrupt(0);
      return hz;
    }
  }
  digitalWrite(laserPin, LOW);
}

